From d6a6854c87e80b5c657107137ea80348e963df46 Mon Sep 17 00:00:00 2001
From: Naohiro KORIYAMA <nkoriyama@gmail.com>
Date: Mon, 12 Dec 2011 06:27:48 +0900
Subject: [PATCH] Fix for CUE Sheet problem on Windows

---
 share/lua/playlist/cue.lua |    9 +++++++++
 src/text/strings.c         |    2 +-
 2 files changed, 10 insertions(+), 1 deletions(-)

diff --git a/share/lua/playlist/cue.lua b/share/lua/playlist/cue.lua
index 57215e0..f595890 100644
--- a/share/lua/playlist/cue.lua
+++ b/share/lua/playlist/cue.lua
@@ -50,6 +50,15 @@ function cue_path( src )
 	end
 
 	local path = string.gsub( vlc.strings.decode_uri(vlc.path), '\\', '/' )
+-- Windows UNC path case. 
+-- \\hostname\path comes hostname\path.
+-- So we need to append '//', if we don't append it,
+-- this path is a treat as relative path,
+-- and vlc.strings.make_uri() append the path which VLC is stored.
+	if( string.match( path, "^[^/]" ) ) then
+		path = "//" .. path
+	end
+
 	local slash = string.find( string.reverse( path ), '/' )
 	if( path == nil ) then
 		return src
diff --git a/src/text/strings.c b/src/text/strings.c
index a1df0bb..ace343a 100644
--- a/src/text/strings.c
+++ b/src/text/strings.c
@@ -1076,7 +1076,7 @@ char *make_URI (const char *path, const char *scheme)
 
     char *buf;
 
-#ifdef __OS2__
+#if defined( WIN32 ) || defined( __OS2__ )
     char p[strlen (path) + 1];
 
     for (buf = p; *path; buf++, path++)
-- 
1.7.7.2

